Skip to main content
POST
/
organizations
/
{org_id}
/
members
/
{user_id}
/
permissions
Grant a permission to a member
curl --request POST \
  --url https://api.pcxpay.com/v1/organizations/{org_id}/members/{user_id}/permissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource": "<string>",
  "actions": [
    "READ"
  ],
  "constraints": {}
}
'
{
  "message": "<string>",
  "permission": {
    "resource": "<string>",
    "actions": [
      "<string>"
    ],
    "constraints": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required
user_id
string
required

Body

application/json
resource
string
required

Feature key (e.g. payment_orchestration)

actions
enum<string>[]
required
Available options:
READ,
CREATE,
UPDATE
constraints
object

Optional resource-level constraints

Response

Permission granted

message
string
permission
object